<?php

namespace Drupal\ggl_map_examples;

/**
 * The GGL Map examples helper service.
 */
class GglMapExamplesHelper {

  /**
   * The side menu items.
   */
  public function sideMenuItems() {
    return [
      [
        'title' => 'Single collection map',
        'uri' => base_path() . 'ggl_map_examples/single_map',
      ],
      [
        'title' => 'Single collection map with custom marker icon',
        'uri' => base_path() . 'ggl_map_examples/single_map_marker_icon',
      ],
      [
        'title' => 'Single collection map with location',
        'uri' => base_path() . 'ggl_map_examples/single_map_location',
      ],
      [
        'title' => 'Single collection map with #overrideSettings',
        'uri' => base_path() . 'ggl_map_examples/single_map_override_settings',
      ],
      [
        'title' => 'Multi collections map',
        'uri' => base_path() . 'ggl_map_examples/multi_map',
      ],
      [
        'title' => 'Multi collections map with clustering',
        'uri' => base_path() . 'ggl_map_examples/multi_map_cluster',
      ],
      [
        'title' => 'Map with JS triggers',
        'uri' => base_path() . 'ggl_map_examples/map_trigger',
      ],
      [
        'title' => 'Map with AJAX command',
        'uri' => base_path() . 'ggl_map_examples/map_ajax',
      ],
    ];
  }

  /**
   * Get 'ggl_map_examples' module path.
   *
   * @return string
   *   The GGL map examples module path.
   */
  public function modulePath(): string {
    $module_handler = \Drupal::service('module_handler');
    return base_path() . $module_handler->getModule('ggl_map_examples')->getPath();
  }

}
