<?php

namespace Drupal\ggl_map\Ajax;

use Drupal\Core\Ajax\CommandInterface;

/**
 * An Ajax Command that reloads a collection by name.
 */
class ReloadCollectionByIdCommand implements CommandInterface {

  /**
   * The name.
   *
   * @var string
   */
  private string $name;

  /**
   * Constructs an Ajax Command object.
   *
   * @param string $id
   *   The id.
   */
  public function __construct(string $id) {
    $this->id = $id;
  }

  /**
   * {@inheritdoc}
   */
  public function render(): array {
    return [
      'command' => 'reloadCollectionById',
      'id' => $this->id,
    ];
  }

}
