<?php

namespace Drupal\ggl_map\Ajax;

use Drupal\Core\Ajax\CommandInterface;

/**
 * An Ajax Command that removes a collection from a maker.
 */
class RemoveCollectionFromMarkerCommand implements CommandInterface {

  /**
   * The collection id.
   *
   * @var string
   */
  private string $collectionId;

  /**
   * The marker id.
   *
   * @var string
   */
  private string $markerId;

  /**
   * Constructs an Ajax Command object.
   *
   * @param string $collectionId
   *   The collection id.
   * @param string $markerId
   *   The marker id.
   */
  public function __construct(string $collectionId, string $markerId) {
    $this->markerId = $markerId;
    $this->collectionId = $collectionId;
  }

  /**
   * {@inheritdoc}
   */
  public function render(): array {
    return [
      'command' => 'removeCollectionFromMarker',
      'collectionId' => $this->collectionId,
      'markerId' => $this->markerId,
    ];
  }

}
