<?php

namespace Drupal\ggl_map\Ajax;

use Drupal\Core\Ajax\CommandInterface;

/**
 * An Ajax Command that updates the marker icon.
 */
class UpdateMarkerIconCommand implements CommandInterface {

  /**
   * The url.
   *
   * @var string
   */
  private string $url;

  /**
   * The marker id.
   *
   * @var string
   */
  private string $markerId;

  /**
   * Constructs an Ajax Command object.
   *
   * @param string $markerId
   *   The marker id.
   * @param string $url
   *   The url.
   */
  public function __construct(string $markerId, string $url) {
    $this->markerId = $markerId;
    $this->url = $url;
  }

  /**
   * {@inheritdoc}
   */
  public function render(): array {
    return [
      'command' => 'updateMarkerIcon',
      'markerId' => $this->markerId,
      'url' => $this->url,
    ];
  }

}
