<?php

namespace Drupal\ggl_map\Ajax;

use Drupal\Core\Ajax\CommandInterface;

/**
 * An Ajax Command that updates a popup content.
 */
class UpdatePopupContentCommand implements CommandInterface {

  /**
   * The marker id.
   *
   * @var string
   */
  private string $markerId;

  /**
   * Constructs an Ajax Command object.
   *
   * @param string $markerId
   *   The marker id.
   */
  public function __construct(string $markerId) {
    $this->markerId = $markerId;
  }

  /**
   * {@inheritdoc}
   */
  public function render(): array {
    return [
      'command' => 'updatePopupContent',
      'markerId' => $this->markerId,
    ];
  }

}
